﻿# You can place the script of your game in this file.
init-10:

    image cs2 = Image("doctor.png")
    image cs2alpha = im.Alpha("doctor.png", 0.2)
    image cs2alpha2 = im.Alpha("doctor.png", 0.2)

    python hide:

        def gen_randmotion(count, dist, delay):

            import random

            args = [ ]

            for i in range(0, count):
                args.append(anim.State(i, None,
                                       Position(xpos=random.randrange(-dist, dist),
                                                ypos=random.randrange(-dist, dist),
                                                xanchor='left',
                                                yanchor='top',
                                                )))

            for i in range(0, count):
                for j in range(0, count):

                    if i == j:
                        continue

                    args.append(anim.Edge(i, delay, j, MoveTransition(delay)))

            return anim.SMAnimation(0, *args)

        store.randmotion = gen_randmotion(5, 20, 0.8)
        store.randmotion2 = gen_randmotion(5, 20, 0.8)

init python:
    
    def button():
        if Button:
            ui.textbutton(TextB, clicked=ui.callsinnewcontext("Language"), xalign=0.87, yalign=0.03)
            ui.imagebutton("quit.png", "quit_1.png", clicked=ui.callsinnewcontext("Quit"), xpos = 770, ypos = 30, xanchor="center", yanchor="center")
    config.overlay_functions.append(button)
    

    def knopki():
        if stats:
            ui.hbox(yalign=0.03,) # "Stranght" from bar
            ui.bar(10, sila,
                xmaximum=250,
                left_bar=Frame("bar1.png", 0, 0),
                right_bar=Frame("bar2.png", 0, 0),
                thumb=None,
                thumb_shadow=None)
            ui.close()
            ui.text(ph[13], xalign=0.07, yalign=0.035, color="#fff", size=15)
            ui.hbox(yalign=0.08,) # "Intolerance" from bar
            ui.bar(100, neterpimost,
                xmaximum=250,
                left_bar=Frame("bar1.png", 0, 0),
                right_bar=Frame("bar2.png", 0, 0),
                thumb=None,
                thumb_shadow=None)
            ui.close()
            ui.text(ph[14], xalign=0.04, yalign=0.085, color="#fff", size=15)
            ui.text("%s %d" % (ph[15], dengi), xalign=0.0, yalign=0.13, color="#000") # "Money"
            #ui.text(str(moshch), xalign=0.5, yalign=0.1, color="#fff")
            
    config.overlay_functions.append(knopki)

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    
    $ style.menu_choice.color = "#8F0000"
    $ style.menu_choice.hover_color = "#000000"
    $ config.hard_rollback_limit = 2
    $ config.main_menu = [
        (u"Русский", _intra_jumps("Rus", "main_game_transition"),"True"), 
        (u"English", _intra_jumps("Eng", "main_game_transition"),"True"), 
        (u"Continue Game", _intra_jumps("load_screen", "main_game_transition"), "True"),
        (u"Preferences", _intra_jumps("preferences_screen", "main_game_transition"), "True"),
        (u"Hint", ui.callsinnewcontext("Hint"), "renpy.seen_image (\"cs2\")"),
        (u"Quit", ui.jumps("_quit"), "True") 
        ]
    $ ph1 = ["Strength +1 Intolerance +10%", "Money +650 Intolerance +10%", "Intolerance +25%", "Intolerance +10%", "Intolerance -35%", "Intolerance -20%", "Got a vehicle", "Intolerance -50%", "Intolerance +5%", "Money +20000", "Player", "Mobster", "Hindu", "     S T R E N G T H", "  I N T O L E R A N C E", "Money: ", "Once in a city...", "Another morning...", "Profit received from bath-house - 20.000 roubles.", "Time to act!", "Stay at home.", "Go ahead!", "Abandon the idea.", "Another day under weight makes you stronger... {p}A gay-parade was shown on the \"box\" again.", "#hit, I hate this!", "This is crap... kidds play... I`m gonna ride away, where there are no such freaks.", u"Finale №1. (progress %(finale)s percents)", "Being sat up on the bench till the evening like a dumb, you went home...", "Since dismissed, I feel myself much better.", "Call everybody a brute, and spat into cheef executives mug, you happily say goodbye to burden of job.", "#hit, freaky system, another day working for jews!", "Well, whatever is can be found at our marketplace... the Chinese, the Vietnamese", "Buy some wheels, may be...", "Just roam around among  people...", "It is strange, how this \"can\" still moving...", "I`m already have such a jalopy. I don`t need another one.", "I got a better wheels", "I`m come short of quarter - gonna return empties", "Oh, well that will do for the first time.", "Good wheels... But it`s of the same age as me.", "I`m already have such a jalopy. I don`t need another one.", "Yeah, I`m gonna withdraw \"the bread\" from an account current. And you tie it up in a bow meanwhile.", "With such a wheels it is possible to confidently drive hard \"on a red light\"!", "It is incomprehensible, what you expected to find here...", "Brainless crowd of people who ready to buy any chinese crap for couple bucks,", "tadjik beggars,", "drunkards sits by a stall.", "Endless rows of stalls, divided on isolated closets.", "And a russian woman in each of them - it`s like, now only russian trades at the market.", "And slightly behinde her the \"master\" - oriental bai, sits and keeps eye on trade in his  store!", "Find nothing to be interested in, you went home...", "Going by the next trade outlet, you take notice of Armenian to cry for his market-woman.", "Gazing upon him, you got a strong desire for break his mug...", "To attack", "Russia is for the Russians!", "With such words you conk the Armenian...", "Droped the enemy down the ground, you already have been ready to test the strength of your boots and durability of his sides, but the disposition doesn`t gave your advantage.", "Came running up to the aid \"oriental guests\" kicks you quite a lot...", "You could stop only when freak ceased breathing...", "Nobody dared to came to the aid of him.", "Pass by", "A time will comes - we`ll shoot everybody...", "... with such thoughts you went on", "Oops, have been eaten the doner kebab.", "Have been walking by the city, you saw an advertisment of local doner kebab stall -", "\"The best dogs for russian hogs!\"", "Queue of \"hogs\" by the stall was in an agony of suspense of tasty meal.", "Brake the window", "Picked the piece of brick lied near by, you throw it into the \"kebab-meister\"`s glass stall...", "...distinctly swears in Russian, a short,  became permeated with the smell of burning oil, wog sprang from the stall.", "You stops the skunk by kicking the groin.", "Five minutes after breathless body wes laid on the pavement.", "With great plesure you throw a pice of burning paper inside the stall, right where the huge frying-pan with oil was...", "A hatchet in his hands bodes no good...", "Pass by", "A time will comes - we`ll shoot everybody...", "... with such thoughts you went on", "It is good to have a bath-house.", "Took a bath, you went home.", "The only bath-house in the city, and it belongs to the Chinese...", "Wel`kom. Komeeen, pleez.", "Warmed up well in sweating-room, you tumbled down the fresh water pool...", "...while suddenly...", "The bath-house is clousing - bigwigs gonna kome now! Mr. Wong himself will kome. Get out, qwickly!", "You had no choice but", "Break the narrow-eyed mug down", "The Chinaman proved to be quicker then you...", "Beat the Cinaman down untill death, you thought, that the best way to get rid of body - is to burn it down in furnace.", "Rubed down the blood near the pool, you closed the entrance and went out through service exit.", "To leave", "Without a word you collect your belongings and went home.", "At the local University of international friendship anyone could be met - The Chinese, The Negros, The Mongolian...", "...probably there was even The Chukchees.", "You met the Hindu.", "How can I reach the library?", "You don`t take much trouble over reply on such an easy question...", "Break the mug.", "Double jab to the head was perfect.", "You already intended to \"work\" over body...", "...but suddenly, the crowd of studnts came running up and just crush you down.", "By foot, #amn!", "(politely tell the way)", "Walking by the campus,...", "... you found nothing interesting.", "Wandered for half of an hour, you went home.", "... you took notice the drugdealer, who \"sold dope\" to a \"sap\" in the gateway...", "Attack the dealer.", "Came running up to the dealer with clear intention break his nose, suddenly you catch a jet from tear gas spray.", "Caustic makes you close your eyes for couple of seconds...", "... next moment you lose consciousness by taking a hit of somthing solid into your jaws...", "Knocked the skunk down by jab to the jaws,", "you kick his face twice.", "Then strangle him down with his own golden chain (it turned out to be enough thick and solid).", "With the feeling of discharged duty you made a decision to walk towards home...", "...but suddenly, a dirty white \"model seven Zhiguli\" drives out the corner.", "Two men came out of it and start to move towards you...", "But took notice of the group of students, walking that side, one of them briefly set the appointment at 22:00 in the forest near the city.{p} Mobsters got into the car and drove away.", "Decided, that you got nothing to do here, you hurried up home to prepare yourself to appointment...", "Pass by", "Fools...", "(you spit down the ground)", "...ruin their lifes with own hands.", "Turned you walk back..", "Near the city, it was an entire plot of forest.", "Most people tried to pass that place aside and intimidated each other with tales about maniacs, but you liked to roam there from time to time...", "The sounds of nature and lonelyness are calm you down.", "Came out of metro station, you leisurely went towards the forest.", "It already was pretty dark outside, a full moon showed out from behind the clouds from time to time.", "At the dusk you discerned familiar \"model seven Zhiguli\", parked at the edge of a forest.", "The watch shows 22:05...", "When you came closer to the car, {p} three young men, stood near it, {p}without a word started to use  scraps of armature...", "Drove to the forest belt at 22:00, you discerned familiar \"model seven Zhiguli\"...", "Stoped your vehicle opposite you step out.", "Three gloomy young men - you dislike them from the first sight.", "You droped our dealer... We lose scratch.", "It should be settled up.", "Will settle.", "Right now we gonna drive to a bath-house and will settle it at cup of vodka.", "The Chinese said, that there are no vacancies, and didn`t let you in.", "It gets mobsters dander up...", "Since then, mobsters often and often \"spend their holiday\" at your bath-house,", "and you have to do away with bodies and stocks the bags with \"stuff\".", u"Finale №2. (progress %(finale)s percents)", "Drove to the forest belt at 22:00, you discerned familiar \"model seven Zhiguli\"...", "Stoped your vehicle opposite,", "you sharply step on the gas...{p=1}{nw}", "Then you take your bat and finish the skunks...", "You shake down your trousers, sit in the car and leisurely drive home.", "...It looks as if you feel just a little better for it...", "... but, what should be done with the body?", "Leave this carcass and go away.", "Turned back, you go away...", "But later this evening valorous servants of law and order visited you, and in a bad manners \"invites\" you to ride with them.", "\"To clean up\" after yourself", "Put the body down to boot, you decided to take it to your bath-house and burn it in the boiler-room...", "In the same place you  succeeded to wash out your wheels well.", "Shines like a new one!", "With such words you went home.", "Put the body down to boot, you decided to take it to the forest and burn it down there...", "Wisely you also burn down the wheels too (shouldn`t you drive to car wash).", "Called the police and declared that your vehicle was theft, you walk back home.", "Tried to put the body on your shoulders you just stained in blood,", "besides, carry the body to the forest through the entire city...", "Spit down the ground, you leisurely went home,", "but made two dozen steps you saw a vehicle of a non-departmental security.", "Three hefty fellows tie you up and convey to the police-station.", "It stood unclear how you finde yourself here, but when you opend your eyes...", "Bad finale. (progress %(finale)s percents)", "Reached the hospital you thought: \"I am healthy, and I don`t need any Jewish doctors!\"", "...In fact, they have nothing to prove...", "The judiciary \"persuade\" you to describe all the episodes in details.", "The assault against the Negro at metro...", "The assault against Hindu student...", "The devastation of local doner kebab stall...", "The homicide of a tradesman at the market...", "Bloody mess in the bath-house...", "The massacre in the forest and near the University...", "Bad finale. (progress %(finale)s percents)", "Walk by the building of city court, you get known, that famous lawyer A.Shlumberger helps majors sun - who, as it says, \"drive a vehicle being under alcohol intoxication\" and payed no heed  to couple of people who were crossing the street, escape punishment once again.", "What the #uck am I doing here?!", "You would like to drive, but you ain`t got no money for the gas.", "Had been staying in traffic jam with comfort, you finaly reach the place.", "(gas expenses - 50 roubles).", "You have to go by metro.", "Briskly jumps over turnstile you saved a penny.", "There was an awful crush in a carriage, but you was so lonely in a crowd.", "Suddenly you take notice of the Negro sitting near the doors.", "You couldn`t take it anymore and start to beat him up right in the carriage.", "Police arrests you next station...", "The Negros are everywhere.", "{color=#ff5555}{size=+18}{b}Brand-new morning...{/b}{/size}{/color}", "Are you sure?", "Yes", "No", "Pay attention of intollerance level.\nToo high - will makes your life harder,\nbut too low - makes you incapable of fight."]
    $ ph2 =[u"Сила +1. Нетерпимость +10%", u"Деньги +650. Нетерпимость +10%", u"Нетерпимость +25%", u"Нетерпимость +10%", u"Нетерпимость -35%", u"Нетерпимость -20%", u"Машина", u"Нетерпимость -50%", u"Нетерпимость +5%", u"Деньги +20000", u"Игрок", u"Бандит", u"Индус", u"          С И Л А", u"  Н Е Т Е Р П И М О С Т Ь", u"Деньги: ", u"Однажды в одном городе...", u"Еще одно утро...", u"Баня принесла доход - 20.000 рублей.", u"Пора действовать!", u"Остаться дома.", u"Вперед, к цели!", u"Отказаться от идеи.", u"Еще один день под штангой укрепил твои силы...{p}По \"ящику\" опять показывали гей-парад.", u"Ненавижу, #ля!", u"Херня все это... детские игры... Уеду отсюда туда, где нет уродов.", u"Финал №1. (прогресс %(finale)s процентов)", u"Тупо просидев на лавочке до вечера, ты вернулся домой...", u"С тех пор как уволился, я чувствую себя значительно лучше.", u"Назвав всех скотами, и плюнув в рожу генеральному, ты благополучно распрощался с бремененм работы.", u"Уродская система, еще один день пахать на евреев, #ля!", u"Да, чего только нет на нашем рынке...и китайцы и вьетнамцы.", u"Тачку прикупить, что ли...", u"Просто пошататься среди народа...", u"Странно, как это \"ведро\" еще двигается...", u"У меня уже есть такой драндулет. Еще один мне не нужен.", u"У меня есть тачка получше.", u"Трех копеек не хватило - пойду посуду сдам.", u"Ну, да на первое время сойдет.", u"Тачка отличная... Вот только ей столько же лет, сколько и мне.", u"У меня уже есть такой драндулет. Еще один мне не нужен.", u"Сейчас \"бабки\" сниму с текущего счета. Ты, пока, бантиком ее перевяжи.", u"C такой тачкой можно смело \"на красный\" гнать!", u"Непонятно, что ты хотел здесь увидеть...", u"Безмозглая толпа людишек, которые готовы купить любой китайский хлам за три копейки,", u"таджикские попрошайки,", u"бухарики сидят около ларька.", u"Бесконечные торговые ряды, поделенные на отдельные клетушки.", u"В каждой такой клетушке русская женщина - типа, теперь на рынке торгуют только русские.", u"А за ней, чуть дальше, \"хозяин\" - восточный бай; сидит и смотрит, как в его лавке торговля идет!", u"Не найдя ничего интересного, ты направился к дому...", u"Проходя мимо очередного торгового места, ты заметил как хачик орет на свою торговку.", u"Глядя на него, у тебя появилось сильное желание разбить ему рожу...", u"Напасть", u"Россия для русских!", u"С этими словами ты ударил хача в нос...", u"Уронив противника на землю, ты уже собирался было проверить на прочность свои ботинки и его бока, но расклад сил был не в твою пользу.", u"Подбежавшие на помощь \"гости с востока\" немало тебя попинали...", u"Остановиться ты смог лишь когда урод перестал дышать...", u"Никто не решился подойти к нему на помощь.", u"Пройти мимо", u"Придет время - всех постреляем...", u"...с такими мыслями ты пошел дальше.", u"Оп-па, поели шавермы.", u"Прогуливаясь по городу, ты увидел рекламный слоган местного павилиона шавермы -", u"\"Лучшие собаки для русских свиней!\"", u"У павилиона томилась очередь \"свиней\" в ожидании вкусной еды.", u"Разбить витрину", u"Подняв валявшийся неподалеку кусок кирпича, ты запустил им в стеклянную будку \"шаурмайстера\"...", u"...отчетливо матерясь по русски, из будки выскочил маленький, сильно пропахший горелым растительным маслом абрек.", u"Ударом в пах ты остановил гада.", u"Через 5 минут бездыханное тело лежало на тротуаре.", u"Ты с большим удовольствием бросил кусок горящей бумаги внурь будки, как раз туда, где стояла большая сковорода с маслом...", u"Большой нож в его руках не предвещал ничего хорошего...", u"Пройти мимо", u"\"Придет время - всех постреляем...\"", u"...с такими мыслями ты пошел дальше.", u"Хорошо иметь свою баню.", u"Помывшись, ты направился домой.", u"Одна баня на весь город, и та принадлежит китайцам...", u"Здлавствуйте. Плоходите.", u"Разогревшись как следует в парной, ты завалился в бассейн с прохладной водой...", u"...как вдруг...", u"Баня заклывается - сейчас плидут важные люди! Сам господин Вонг плидет. Уходи, быстло!", u"...тебе ничего не оставалось как", u"Разбить узкоглазую морду", u"Китаец оказался проворнее тебя...", u"Забив китайца насмерть, ты подумал, что лучший способ избавиться от тела - это сжечь его в топке.", u"Затерев кровь возле бассейна, ты закрыл входную дверь и вышел через служебный ход.", u"Уйти", u"Молча ты собрал свои вещи и отправился домой.", u"В местном Университете дружбы народов можно было встретить кого угодно - китайцев, негров, монголов...", u"...наверное были даже чукчи.", u"Тебе навстречу попался индус.", u"Как пройти в библиотеку?", u"С ответом на такой простой вопрос ты долго не возился...", u"Настучать по лицу.", u"Двойка в голову прошла удачно.", u"Ты уже собрался \"поработать\" в корпус...", u"...как набежала толпа студентов и просто смяла тебя.", u"Ногами, #ля!", u"(вежливо рассказать дорогу)", u"Прогуливаясь мимо университетских корпусов,...", u"...ты не нашел ничего интересного.", u"Побродив полчаса, ты двинулся к дому.", u"...ты заметил как в подворотне наркоторговец \"толкал дурь\" какому-то \"ботанику\"...", u"Напасть на диллера.", u"Подбежав к диллеру с явным намерением разбить ему нос, ты неожиданно получил в лицо струю из газового баллончика.", u"Едкая гадость заставила тебя на пару секунд закрыть глаза...", u"... в следующее мгновение ты потерял сознание от удара чем-то твердым в челюсть...", u"Сбив гада с ног ударом в челюсть, ", u"ты пару раз пнул его по лицу.", u"Затем придушил его же собственной золотой цепью (она оказалась достаточно толстой и прочной).", u"С чувством выполненного долга ты собрался было пойти в сторону дома...", u"...но вдруг, из-за угла выехала грязная белая \"семерка\".", u"Из нее вышли два человека, и направились было к тебе...", u"Однако заметив группу студентов, идущих в вашу сторону, один из них коротко назначил тебе встречу в 22:00 в лесу, недалеко от города.{p}Бандюки сели в машину и уехали.", u"Решив, что здесь тебе больше делать нечего, ты поспешил домой готовиться к встрече...", u"Пройти мимо", u"Придурки...", u"(ты плюнул на землю)", u"...сами свою жизнь гробят.", u"Развернувшись ты отправился обратно...", u"За городом остался участок нетронутого леса.", u"Многие старались обходить это место стороной и пугали друг друга рассказами о маньяках, но ты любил иногда побродить там...", u"Звуки живой природы и отсутствие людей успокаивало...", u"Выйдя из метро, ты неспеша направился в сторону леса.", u"На улице уже было достаточно темно, полная луна изредка проглядывала из-за плотных облаков.", u"В сумерках ты разглядел знакомую \"семерку\", припаркованную на опушке.", u"На часах было 22:05...", u"Когда ты подошел ближе к машине,{p}трое молодых людей, стоявших рядом с ней,{p}ни слова не говоря, пустили в ход куски арматуры...", u"Подъехав к лесополосе в 22:00, ты заметил уже знакомую тебе \"семерку\"...", u"Остановившись напротив нее ты вышел из машины.", u"Трое хмурых молодых людей тебе не понравились сразу.", u"Ты грохнул нашего диллера... мы теряем бабки.", u"Надо решать.", u"Решим.", u"Примо сейчас поедем в баню и за чашкой водки решим.", u"Китайцы сказали, что мест нет, и не пустили вас в баню.", u"Это сильно разозлило бандитов...", u"С тех пор, бандиты постоянно \"отдыхали\" у тебя в бане,", u"а тебе приходилось периодически уничтожать тела и хранить сумки с \"товаром\".", u"Финал №2. (прогресс %(finale)s процентов)", u"Подъехав к лесополосе в 22:00, ты заметил уже знакомую тебе \"семерку\"...", u"Остановившись напротив нее,", u"ты резко выжал педаль газа до пола...{p=1}{nw}", u"Затем ты взял свою бейсбольную биту и добил гадов...", u"Ты отряхнул штаны, сел в машину и неспеша направился к дому.", u"...Вроде стало чуть легче...", u"...вот только, что делать с телом?", u"Оставить эту падаль и уйти.", u"Развернувшись, ты зашагал прочь...", u"Однако, уже вечером, доблестные служители правопорядка зашли к тебе в гости, и в грубой форме \"пригласили\" проехать с ними.", u"\"Прибрать\" за собой.", u"Погрузив тело в багажник, ты решил отвезти его в свою баню и сжечь в котельной...", u"Там же, тебе удалось как следует отмыть тачку.", u"Блестит как новая!", u"С этими словами ты отправился домой.", u"Погрузив тело в багажник, ты решил отвезти его в лес и сжечь там...", u"Тачку ты благоразумно спалил вместе с телом (не на автомойку же было ехать).", u"Позвонив в милицию и заявив об угоне транспортного средства, ты потопал к дому.", u"Попробовав взвалить тело к себе на плечи, ты только перепачкался в крови,", u"к тому же, тащить труп через весь город к лесу...", u"Плюнув на землю, ты неспеша пошел к дому,", u"но сделав два десятка шагов увидел машину вневедомственой охраны.", u"Три дюжих молодца скрутили тебя и доставили в отделение.", u"Как ты здесь очутился осталось для тебя загадкой, но когда ты открыл глаза...", u"Плохой финал. (прогресс %(finale)s процентов)", u"Дойдя до больницы, ты подумал: \"Я здоров, и всякие там еврейские докторишки мне не нужны!\"", u"...Собственно, ничего доказывать и не пришлось...", u"Служители емиды \"убедили\" тебя подробно описать все эпизоды:", u"Нападение на негра в метро...", u"Нападение на студента-индуса...", u"Разгром местной шавермы...", u"Убийство торговца на рынке...", u"Кровавый кошмар в бане...", u"Бойню в лесу и возле Университета...", u"Плохой финал. (прогресс %(finale)s процентов)", u"Прогуливаясь мимо здания городского суда, ты узнал, что известный адвокат А.Шлембергер в очередной раз \"отмазал\" сына мэра - тот, как говорится, \"управлял транспортным средством, находясь в состоянии алкогольного опьянения\" и не заметил двух человек, переходящих улицу.", u"Нах я вообще сюда пришел?!", u"Ты хотел поехать на машине, но денег на горючку небыло.", u"С комфортом постояв в пробке, ты всетаки добрался до места.", u"(Расходы на бензин - 50 рублей).", u"Пришлось ехать на метро.", u"Бодро перепрыгнув через турникет, ты сэкономил три копейки.", u"В вагоне была жуткая давка, но ты был одинок в этой толпе.", u"Вдруг, ты заметил негра, сидящего у дверей.", u"Ты не смог сдержаться и начал избивать его прямо в вагоне", u"На следующей станции тебя задержал наряд милиции...", u"Везде черномазые.", u"{color=#ff5555}{size=+18}{b}Новое утро...{/b}{/size}{/color}", u"Вы уверены?", u"Да", u"Нет", u"Будьте внимательны к уровню нетерпимости.\nСлишком высокий - осложнит вам жизнь,\nа слишком низкий - сделает вас не способным к борьбе."]

    $ Textpos = Position(xpos =.5, ypos = .7)
    $ Button = False
    
    image telik = Animation(
            "telik1.png", 0.5,
            "telik2.png", 0.5,
            "telik3.png", 0.5,
            "telik4.png", 0.5,
            "telik5.png", 0.5)
    image komnata = "komnata.png"
    image dom = "home.png"
    image metro = "metro.png"
    image negr = "negr.png"
    image metro_court = "metro_court.png"
    image final1 = "final1.png"
    image finale = "finale.png"
    image forest = "forest.png"
    image forest_court = "forest_court.png"
    image forest1 = "forest1.png"
    image ofice = "ofice.png"
    image ofice1 = "ofice1.png"
    image court = "court.png"
    image court1 = "court1.png"
    image univer = "univer.png"
    image univer_court = "univer_court.png"
    image univer1 = "univer1.png"
    image indus = "indus.png"
    image student = "student.png"
    image narks = "narks.png"
    image dealer = "dealer.png"
    image podvor = "podvor.png"
    image nark = LipFlap("nark", "A", ".png")
    image band1 = "band1.png"
    image salon = "salon.png"
    image player = "player.png"
    image hospital = "hospital.png"
    image hach = "hach.png"
    image shawerma = "shawerma.png"
    image shawerma_court = "shawerma_court.png"
    image shawerma1 = "shawerma1.png"
    image shawerma2 = "shawerma2.png"
    image market_court = "market_court.png"
    image market1 = "market1.png"
    image market2 = "market2.png"
    image market3 = "market3.png"
    image market4 = "market4.png"
    image market5 = "market5.png"
    image market6 = "market6.png"
    image mashinadealer = "auto.png"
    image saunaa = "a.png"
    image saunab = "b.png"
    image saunac = "c.png"
    image c_court = "c_court.png"
    image saunac1 = "c1.png"
    image saunad = "d.png"
    image saunae = "e.png"
    image saunaf = "f.png"
    
    
    
    $ noisedissolve = ImageDissolve(im.Tile("noisetile.png"), 1.0, 1)
    $ circleirisout = ImageDissolve("id_circleiris.png", 1.0, 8)
    $ dreamdissolve = ImageDissolve(im.Tile("id_dream.png"), 1.5, 255)
    $ circlewipe = ImageDissolve("id_circlewipe.png", 1.0, 8)
    $ flash = Fade(.25, 0, .75, color="#fff")
    
    $ pside = DynamicCharacter("player",
                        color="#c8ffc8",
                        window_left_padding=160,
                        show_side_image=Image("player_side.png", xalign=0.01, yalign=0.99))
    $ bside = DynamicCharacter("bandit",
                        color="#c8ffc8",
                        window_left_padding=160,
                        show_side_image=Image("b_side.png", xalign=0.01, yalign=0.99))
    $ iside = DynamicCharacter("indus",
                        color="#c8ffc8",
                        window_left_padding=160,
                        show_side_image=Image("indus_side.png", xalign=0.01, yalign=0.99))
    
    $ dengi = 0
    $ sila = 0.0
    $ neterpimost = 20.0
    $ moshch = 0.0
    $ konec = 0
    $ finale = 0
    $ mashina = 0
    $ metro = 0
    $ rabota = 1
    $ univer =0
    $ sauna = 0
    $ shawerma = 0
    $ torgov = 0
    $ banditi = 0
    
    $ stats = False


label start:
    
    $ Button = True
    $ ui.text (ph[16], style=style.centered_text)
    $ renpy.pause (3.0)
    
label dom:
    
    $ stats = True
    if finale == 100:
        jump finale
    scene komnata with flash
    $ renpy.say (None, ph[17])
    if sauna == 1:
        show expression text9 at Textpos
        $ dengi += 20000
        $ renpy.say (None, ph[18])
        hide text9
    $ moshch = sila * neterpimost / 100
    $ renpy.say (pside, ph[19])

    $ menu1 = ph[20]
    $ menu2 = ph[21]
    $ menu3 = ph[22]

    menu:
    
        "%(menu1)s":
            call one from _one_1
            jump dom
        "%(menu2)s":
            call two from _two_1
            jump dom

        "%(menu3)s":
            call three from _three_1

label one:
    if sila < 10:
        $ sila += 1
    if neterpimost <91:
        $ neterpimost += 10
    else:
        $ neterpimost = 100
    show telik at left
    show expression text0 at Textpos
    $ renpy.say (None, ph[23])
    hide text0
    with dissolve
    $ renpy.say (pside, ph[24])
    return
    
label three:
    $ renpy.say (pside, ph[25])
    $ stats = False
    scene final1 with dissolve
    $ renpy.say (None, ph[26])
    jump konec

label two:
    scene black
    $ result = renpy.imagemap("map.png", "map1.png", [
                (0, 0, 250, 150, 1),
                (251, 0,500, 150, 2),
                (501, 0, 800, 150, 3),
                (0, 151, 250, 370, 4),
                (250, 151, 500, 370, 5),
                (501, 151, 800, 370, 6),
                (0, 371, 250, 600, 7),
                (251, 371, 500, 600, 8),
                (500, 371, 800, 600, 9),
                ])
                
    if result == 1:
        scene dom with fade
        $ renpy.say (None, ph[27])
        return
    if result == 2:
        call metro from _metro_1
        jump sauna
    if result == 3:
        call metro from _metro_2
        jump work
    if result == 4:
        call metro from _metro_3
        jump shawerma
    if result == 5:
        call metro from _metro_4
        jump market
    if result == 6:
        call metro from _metro_5
        jump court
    if result == 7:
        call metro from _metro_6
        jump university
    if result == 8:
        call metro from _metro_7
        jump hospital
    if result == 9:
        call metro from _metro_8
        jump forest

label work:
    scene ofice with circlewipe
    if rabota ==0:
        $ renpy.say (pside, ph[28])
        jump dom
        
    scene ofice1 with dissolve
    if neterpimost > 55:
        $ renpy.say (None, ph[29])
        $ rabota = 0
        jump dom
    $ dengi += 650
    if neterpimost <91:
        $ neterpimost += 10
    else:
        $ neterpimost =100
    show expression text1 at Textpos
    $ renpy.say (pside, ph[30])
    hide text1
    with dissolve
    
    jump dom

label market:
    scene market1
    with dissolve
    $ renpy.say (pside, ph[31])
    
    $ menu1 = ph[32]
    $ menu2 = ph[33]
    menu:
        "%(menu1)s":
            scene mashinadealer
            with pixellate
            call mashinadealer from _mashinadealer_1
            
        "%(menu2)s":
            call torgov from _torgov_1
            
    jump dom

label mashinadealer:
    
    $ result = renpy.imagemap("auto.png", "auto1.png", [
                (0, 70, 150, 600, 1),
                (300, 150, 700, 520, 2),
                (200, 540, 700, 600,3)
                ])
                
    if result == 1:
        $ renpy.say (pside, ph[34])
        if mashina == 1:
            $ renpy.say (pside, ph[35])
            jump mashinadealer
        if mashina == 2:
            $ renpy.say (pside, ph[36])
            jump mashinadealer
        if dengi < 3000:
            $ renpy.say (pside, ph[37])
            jump mashinadealer
        show expression text6 at Textpos
        $ renpy.say (pside, ph[38])
        hide text6
        with dissolve
        $ dengi -= 3000
        $ mashina = 1
        jump mashinadealer

    if result == 2:
        $ renpy.say (pside, ph[39])
        if mashina == 2:
            $ renpy.say (pside, ph[40])
            jump mashinadealer
        if dengi < 150000:
            $ renpy.say (pside, ph[41])
            jump mashinadealer
        show expression text6 at Textpos
        $ renpy.say (pside, ph[42])
        hide text6
        with dissolve
        $ dengi -= 150000
        $ mashina = 2
        jump mashinadealer
        
    if result == 3:
        jump dom

label torgov:
    scene market2
    with dissolve
    $ renpy.say (None, ph[43])
    $ renpy.say (None, ph[44])
    scene market3
    with dissolve
    $ renpy.say (None, ph[45])
    $ renpy.say (None, ph[46])
    scene market4
    with dissolve
    $ renpy.say (None, ph[47])
    $ renpy.say (None, ph[48])
    $ renpy.say (None, ph[49])
    scene market5 at Pan((300, 0), (0, 0), 5.0)
    with dissolve
    if torgov == 1:
        $ renpy.say (None, ph[50])
        jump dom
    $ renpy.say (None, ph[51])
    show market6
    with wiperight
    $ renpy.say (None, ph[52])
    
    $ menu1 = ph[53]
    $ menu2 = ph[60]
    menu:
        "%(menu1)s":
            $ renpy.say (pside, ph[54])
            $ renpy.say (None, ph[55])
            $ renpy.play('punch.wav')
            with hpunch
            scene black
            with fade
            if moshch < 1.7:
                $ renpy.say (None, ph[56])
                $ renpy.say (None, ph[57])
                $ konec = 1
                jump hospital
            $ renpy.say (None, ph[58])
            $ renpy.say (None, ph[59])
            $ torgov = 1
            $ finale += 20
            jump kill
        "%(menu2)s":
            $ renpy.say (None, ph[61])
            show expression text2 at Textpos
            if neterpimost <76:
                $ neterpimost += 25
            else:
                $ neterpimost = 100
            $ renpy.say (None, ph[62])
            hide text2
            with dissolve
            jump dom

label shawerma:
    if shawerma == 1:
        scene shawerma2
        with wipedown
        $ renpy.say (None, ph[63])
        jump dom
    scene shawerma
    with wipedown
    $ renpy.say (None, ph[64])
    $ renpy.say (None, ph[65])
    $ renpy.say (None, ph[66])
    
    $ menu1 = ph[67]
    $ menu2 = ph[74]
    menu:
        "%(menu1)s":
            $ renpy.say (None, ph[68])
            
            scene shawerma1
            with hpunch
            with dissolve
            show hach at left
            with dissolve
            $ renpy.say (None, ph[69])
            if moshch > 1:
                $ renpy.play('punch.wav')
                with vpunch
                hide hach
                with moveoutbottom
                $ renpy.say (None, ph[70])
                scene black
                "..."
                scene shawerma1
                with dissolve
                $ renpy.say (None, ph[71])
                $ renpy.say (None, ph[72])
                $ shawerma = 1
                $ finale += 20
                jump kill
            $ renpy.say (None, ph[73])
            scene black
            with fade
            "..."
            $ konec = 1
            jump hospital
            
        "%(menu2)s":
            $ renpy.say (None, ph[75])
            show expression text2 at Textpos
            if neterpimost <76:
                $ neterpimost += 25
            else:
                $ neterpimost = 100
            $ renpy.say (None, ph[76])
            hide text2
            with dissolve
            jump dom
            

label sauna:
    scene saunad with circleirisout
    
    if sauna == 1:
        $ renpy.say (None, ph[77])
        $ renpy.say (None, ph[78])
        jump dom
    
    $ renpy.say (pside, ph[79])
    scene saunae
    show saunaf at left
    with pixellate
    show saunac1 at left behind saunaf
    with moveinleft
    $ renpy.say (None, ph[80])
    hide saunac1
    with moveoutleft
    
    scene black
    $ renpy.say (None, ph[81])
    scene saunaa
    show saunab
    with dissolve
    $ renpy.say (None, ph[82])
    
    show saunac at left behind saunab
    with moveinbottom
    $ renpy.say (None, ph[83])
    $ renpy.say (None, ph[84])
    
    $ menu1 = ph[85]
    $ menu2 = ph[89]
    menu:
        "%(menu1)s":
            if moshch < 2.7:
                $ renpy.say (None, ph[86])
                $ konec = 1
                jump hospital
            $ renpy.play('punch.wav')
            with vpunch
            hide saunac
            with moveoutbottom
            $ renpy.say (None, ph[87])
            $ renpy.say (None, ph[88])
            $ sauna = 1
            $ finale += 20
            jump dom
            
        "%(menu2)s":
            show expression text2 at Textpos
            if neterpimost <76:
                $ neterpimost += 25
            else:
                $ neterpimost = 100
            $ renpy.say (None, ph[90])
            hide text2
            with dissolve
            jump dom

label university:
    scene univer
    $ renpy.say (None, ph[91])
    scene univer1
    $ renpy.say (None, ph[92])
    show indus at center with flash
    $ renpy.say (None, ph[93])
    $ renpy.say (iside, ph[94])
    $ renpy.say (None, ph[95])
    
    $ menu1 = ph[96]
    $ menu2 = ph[100]
    $ menu3 = ph[101]
    menu:
        "%(menu1)s":
            $ renpy.say (None, ph[97])
            $ renpy.say (None, ph[98])
            show student behind indus with zoomin
            $ renpy.say (None, ph[99])
            $ konec = 1
            $ univer = 1
            jump court
        "%(menu2)s":
            show expression text3 at Textpos
            if neterpimost <91:
                $ neterpimost += 10
            else:
                $ neterpimost = 100
        "%(menu3)s":
            show expression text4 at Textpos
            if neterpimost >34:
                $ neterpimost -= 35
            else:
                $ neterpimost = 0
            
    hide indus with dissolve
    $ renpy.say (None, ph[102])
    $ moshch = sila * neterpimost / 100
    hide text3
    with dissolve
    hide text4
    with dissolve
    
    if banditi ==1:
        scene podvor
        with dissolve
        $ renpy.say (None, ph[103])
        $ renpy.say (None, ph[104])
        jump dom
        
    scene podvor
    with dissolve
    show narks
    with dissolve
    $ renpy.say (None, ph[105])
    
    $ menu1 = ph[106]
    $ menu2 = ph[118]
    menu:
        "%(menu1)s":
            hide narks
            show dealer at center
            show nark "A .45 B .55 C .35 D" behind dealer at center
            with dissolve
            if moshch < 4.2:
                $ renpy.say (None, ph[107])
                scene black with dissolve
                $ renpy.say (None, ph[108])
                $ renpy.play('punch.wav')
                scene black with flash
                $ renpy.say (None, ph[109])
                $ konec =1
                jump hospital
            $ renpy.say (None, ph[110])
            $ renpy.play('punch.wav')
            with vpunch
            hide dealer
            with moveoutbottom
            $ renpy.say (None, ph[111])
            $ renpy.play('punch.wav')
            pside ""
            $ renpy.play('punch.wav')
            $ renpy.say (None, ph[112])
            $ renpy.say (None, ph[113])
            $ renpy.say (None, ph[114])
            show band1 at center with flash
            $ renpy.say (None, ph[115])
            $ renpy.say (None, ph[116])
            hide band1 with dissolve
            $ renpy.say (None, ph[117])
            $ konec =1
            jump forest
            
        "%(menu2)s":
            $ renpy.say (pside, ph[119])
            $ renpy.say (None, ph[120])
            $ renpy.say (pside, ph[121])
            if neterpimost <91:
                $ neterpimost += 10
            else:
                $ neterpimost =100
            show expression text3 at Textpos
            $ renpy.say (None, ph[122])
            hide text3
            with dissolve
            jump dom
    
label forest:
    if konec == 0:
        show forest with noisedissolve
        $ renpy.say (None, ph[123])
        $ renpy.say (None, ph[124])
        show expression text7 at Textpos
        with dissolve
        if neterpimost >49:
            $ neterpimost -= 50
        else:
            $ neterpimost = 0
        $ renpy.say (None, ph[125])
        hide text7
        jump dom
        
    if mashina == 0:
        scene black with dissolve
        $ renpy.say (None, ph[126])
        $ renpy.say (None, ph[127])
        scene forest1 with dissolve
        $ renpy.say (None, ph[128])
        $ renpy.say (None, ph[129])
        $ renpy.say (None, ph[130])
        $ konec = 1
        jump hospital
        
    if mashina == 1:
        scene black
        show salon with dissolve
        $ renpy.say (None, ph[131])
        show forest1 behind salon with dissolve
        $ renpy.say (None, ph[132])
        show player behind salon at left
        with moveinleft
        $ renpy.say (None, ph[133])
        $ renpy.say (bside, ph[134])
        $ renpy.say (bside, ph[135])
        $ renpy.say (pside, ph[136])
        $ renpy.say (pside, ph[137])
        if sauna == 0:
            scene saunad with pixellate
            $ renpy.say (None, ph[138])
            $ renpy.say (None, ph[139])
            $ renpy.play('punch.wav')
            scene black with flash
            $ konec = 1
            jump hospital
        scene saunad with pixellate
        "..."
        scene saunaa with dissolve
        $ renpy.say (None, ph[140])
        $ renpy.say (None, ph[141])
        $ konec = 2
        $ renpy.say (None, ph[142])
        jump konec
        
    if mashina == 2:
        scene black
        show salon with dissolve
        $ renpy.say (None, ph[143])
        show forest1 behind salon with dissolve
        $ renpy.say (None, ph[144])
        show forest1 behind salon at Zoom((800, 600), (0, 0, 800, 600), (255, 250, 350, 320), 1.0)
        $ renpy.say (None, ph[145])
        scene black with dissolve
        $ renpy.say (None, ph[146])
        $ banditi = 1
        $ finale += 40
        "..."
        $ renpy.say (None, ph[147])
        jump dom
        
label kill:
    $ renpy.say (None, ph[148])
    $ renpy.say (None, ph[149])
    
    $ menu1 = ph[150]
    $menu2 = ph[153]
    menu:
        "%(menu1)s":
            scene black
            with dissolve
            $ renpy.say (None, ph[151])
            $ renpy.say (None, ph[152])
            $ konec = 1
            jump court
        
        "%(menu2)s":
            if mashina > 0:
                if sauna > 0:
                    scene saunad with pixellate
                    $ renpy.say (None, ph[154])
                    $ renpy.say (None, ph[155])
                    $ renpy.say (pside, ph[156])
                    $ renpy.say (None, ph[157])
                    jump dom
                scene forest with pixellate
                $ renpy.say (None, ph[158])
                $ renpy.say (None, ph[159])
                $ renpy.say (None, ph[160])
                $ mashina = 0
                jump dom
            $ renpy.say (None, ph[161])
            $ renpy.say (None, ph[162])
            scene black with dissolve
            $ renpy.say (None, ph[163])
            $ renpy.say (None, ph[164])
            $ renpy.say (None, ph[165])
            $ konec = 1
            jump court

label hospital:
    scene hospital
    with dissolve
    if konec == 1:
        $ stats = False
        $ renpy.say (None, ph[166])
        scene cs2
        show cs2alpha at randmotion
        show cs2alpha2 at randmotion2
        $ renpy.say (None, ph[167])
        jump konec
    $ renpy.say (None, ph[168])
    jump dom

label court:
    show court with circleirisout
    if konec == 1:
        $ stats = False
        $ renpy.say (None, ph[169])
        scene court1 with dissolve
        $ renpy.say (None, ph[170])
        if metro ==1:
            show metro_court at Position(xpos=50, ypos=50, xanchor=0, yanchor=0)
            with dissolve
            $ renpy.say (None, ph[171])
        if univer ==1:
            show univer_court at Position(xpos=50, ypos=50, xanchor=0, yanchor=0)
            with dissolve
            $ renpy.say (None, ph[172])
        if shawerma ==1:
            show shawerma_court at Position(xpos=50, ypos=50, xanchor=0, yanchor=0)
            with dissolve
            $ renpy.say (None, ph[173])
        if torgov ==1:
            show market_court at Position(xpos=50, ypos=50, xanchor=0, yanchor=0)
            with dissolve
            $ renpy.say (None, ph[174])
        if sauna ==1:
            show c_court at Position(xpos=50, ypos=50, xanchor=0, yanchor=0)
            with dissolve
            $ renpy.say (None, ph[175])
        if banditi ==1:
            show forest_court at Position(xpos=50, ypos=50, xanchor=0, yanchor=0)
            with dissolve
            $ renpy.say (None, ph[176])
        $ renpy.say (None, ph[177])
        jump konec
        
    
    $ renpy.say (None, ph[178])
    if neterpimost <96:
        $ neterpimost += 5
    else:
        $ neterpimost = 100
    show expression text8 at Textpos
    $ renpy.say (pside, ph[179])
    hide text8
    jump dom

label metro:
    scene black
    if mashina > 0:
        if dengi < 50:
            $ renpy.say (None, ph[180])
        else:
            $ renpy.say (None, ph[181])
            $ dengi -= 50
            $ renpy.say (None, ph[182])
            return
    $ renpy.say (None, ph[183])
    $ renpy.say (None, ph[184])
    scene metro
    with dissolve
    $ renpy.say (None, ph[185])
    show negr at Position(xpos=350, ypos=50, xanchor=0, yanchor=0)
    with noisedissolve
    show expression text8 at Textpos
    if neterpimost <96:
        $ neterpimost += 5
    else:
        $ neterpimost = 100
    $ renpy.say (None, ph[186])
    $ moshch = sila * neterpimost / 100
    hide text8
    if neterpimost > 89:
        $ renpy.say (None, ph[187])
        scene black
        $ renpy.say (None, ph[188])
        $ konec =1
        $ metro =1
        jump court
    $ renpy.say (pside, ph[189])
    return

label finale:
    $ stats = Button = False
    scene finale with dreamdissolve
    $ ui.text (ph[190], style=style.centered_text)
    $ renpy.pause(5.0)
    jump konec
    
label Language:
    if TextB == u"Рус":
        $ ph = ph2
        $ player = ph[10]
        $ bandit = ph[11]
        $ indus = ph[12]
        $ text0 = anim.Blink(Text(ph[0], color="#ffff00", size=27)) 
        $ text1 = anim.Blink(Text(ph[1], color="#ffff00", size=27)) 
        $ text2 = anim.Blink(Text(ph[2], color="#ffff00", size=27)) 
        $ text3 = anim.Blink(Text(ph[3], color="#ffff00", size=27)) 
        $ text4 = anim.Blink(Text(ph[4], color="#ffff00", size=27)) 
        $ text5 = anim.Blink(Text(ph[5], color="#ffff00", size=27)) 
        $ text6 = anim.Blink(Text(ph[6], color="#ffff00", size=27)) 
        $ text7 = anim.Blink(Text(ph[7], color="#ffff00", size=27)) 
        $ text8 = anim.Blink(Text(ph[8], color="#ffff00", size=27)) 
        $ text9 = anim.Blink(Text(ph[9], color="#ffff00", size=27)) 
        $ TextB = u"Eng"
        $ renpy.restart_interaction() # to change button
        return
    if TextB == u"Eng":
        $ ph = ph1
        $ player = ph[10]
        $ bandit = ph[11]
        $ indus = ph[12]
        $ text0 = anim.Blink(Text(ph[0], color="#ffff00", size=27)) 
        $ text1 = anim.Blink(Text(ph[1], color="#ffff00", size=27)) 
        $ text2 = anim.Blink(Text(ph[2], color="#ffff00", size=27)) 
        $ text3 = anim.Blink(Text(ph[3], color="#ffff00", size=27)) 
        $ text4 = anim.Blink(Text(ph[4], color="#ffff00", size=27)) 
        $ text5 = anim.Blink(Text(ph[5], color="#ffff00", size=27)) 
        $ text6 = anim.Blink(Text(ph[6], color="#ffff00", size=27)) 
        $ text7 = anim.Blink(Text(ph[7], color="#ffff00", size=27)) 
        $ text8 = anim.Blink(Text(ph[8], color="#ffff00", size=27)) 
        $ text9 = anim.Blink(Text(ph[9], color="#ffff00", size=27)) 
        $ TextB = u"Рус"
        $ renpy.restart_interaction() # to change button
        return
label Rus:
    $ TextB = u"Рус"
    jump Language
    
label Eng:
    $ TextB = u"Eng"
    jump Language
    
label Quit:
    $ stats = False
    scene black with dissolve
    
    $ menu1 = ph[191]
    $ menu2 = ph[192]
    $ menu3 = ph[193]
    menu:
        "%(menu1)s"
        "%(menu2)s":
            $ renpy.full_restart()
        "%(menu3)s":
            $ stats = True
            return

label Hint:
    $ ui.text (ph1[194]+"\n- - - - - - - - - - - \n"+ph2[194], style=style.centered_text)
    $ ui.imagebutton("quit.png", "quit_1.png", xpos=400, xanchor=0.5, ypos=550, yanchor=0.5, clicked=ui.returns(True))
    $ ui.interact()
    return

label konec:
    $ renpy.full_restart()